Package org.bukkit.inventory

# Enum Class InventoryView.Property

java.lang.Object
java.lang.Enum<InventoryView.Property>
org.bukkit.inventory.InventoryView.Property

All Implemented Interfaces:
  `Serializable`, `Comparable<InventoryView.Property>`, `Constable`

Enclosing class:
  InventoryView

public static enum InventoryView.Property extends Enum<InventoryView.Property>
Represents various extra properties of certain inventory windows.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOK_PAGE`
The lectern's current open book page
`BREW_TIME`
The progress of the down-pointing arrow in a brewing inventory.
`BURN_TIME`
The progress of the flame in a furnace inventory.
`COOK_TIME`
The progress of the right-pointing arrow in a furnace inventory.
`ENCHANT_BUTTON1`
In an enchanting inventory, the top button's experience level value.
`ENCHANT_BUTTON2`
In an enchanting inventory, the middle button's experience level value.
`ENCHANT_BUTTON3`
In an enchanting inventory, the bottom button's experience level value.
`ENCHANT_ID1`
In an enchanting inventory, the top button's enchantment's id
`ENCHANT_ID2`
In an enchanting inventory, the middle button's enchantment's id
`ENCHANT_ID3`
In an enchanting inventory, the bottom button's enchantment's id
`ENCHANT_LEVEL1`
In an enchanting inventory, the top button's level value.
`ENCHANT_LEVEL2`
In an enchanting inventory, the middle button's level value.
`ENCHANT_LEVEL3`
In an enchanting inventory, the bottom button's level value.
`ENCHANT_XP_SEED`
In an enchanting inventory, the first four bits of the player's xpSeed.
`FUEL_TIME`
The progress of the fuel slot in a brewing inventory.
`LEVELS`
In an beacon inventory, the levels of the beacon
`PRIMARY_EFFECT`
In an beacon inventory, the primary potion effect
`REPAIR_COST`
The repair's cost in xp levels
`SECONDARY_EFFECT`
In an beacon inventory, the secondary potion effect
`TICKS_FOR_CURRENT_FUEL`
How many total ticks the current fuel should last.
`TICKS_FOR_CURRENT_SMELTING`
How many total ticks the current smelting should last.

## Method Summary

Modifier and Type
Method
Description
`int`
`getId()`
Deprecated.
Magic value
`@NotNull InventoryType`
`getType()`
`static InventoryView.Property`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryView.Property[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BREW_TIME

public static final InventoryView.Property BREW_TIME
The progress of the down-pointing arrow in a brewing inventory.

### FUEL_TIME

public static final InventoryView.Property FUEL_TIME
The progress of the fuel slot in a brewing inventory. This is a value between 0 and 20, with 0 making the bar empty, and 20 making the bar full.

### BURN_TIME

public static final InventoryView.Property BURN_TIME
The progress of the flame in a furnace inventory.

### TICKS_FOR_CURRENT_FUEL

public static final InventoryView.Property TICKS_FOR_CURRENT_FUEL
How many total ticks the current fuel should last.

### COOK_TIME

public static final InventoryView.Property COOK_TIME
The progress of the right-pointing arrow in a furnace inventory.

### TICKS_FOR_CURRENT_SMELTING

public static final InventoryView.Property TICKS_FOR_CURRENT_SMELTING
How many total ticks the current smelting should last.

### ENCHANT_BUTTON1

public static final InventoryView.Property ENCHANT_BUTTON1
In an enchanting inventory, the top button's experience level value.

### ENCHANT_BUTTON2

public static final InventoryView.Property ENCHANT_BUTTON2
In an enchanting inventory, the middle button's experience level value.

### ENCHANT_BUTTON3

public static final InventoryView.Property ENCHANT_BUTTON3
In an enchanting inventory, the bottom button's experience level value.

### ENCHANT_XP_SEED

public static final InventoryView.Property ENCHANT_XP_SEED
In an enchanting inventory, the first four bits of the player's xpSeed.

### ENCHANT_ID1

public static final InventoryView.Property ENCHANT_ID1
In an enchanting inventory, the top button's enchantment's id

### ENCHANT_ID2

public static final InventoryView.Property ENCHANT_ID2
In an enchanting inventory, the middle button's enchantment's id

### ENCHANT_ID3

public static final InventoryView.Property ENCHANT_ID3
In an enchanting inventory, the bottom button's enchantment's id

### ENCHANT_LEVEL1

public static final InventoryView.Property ENCHANT_LEVEL1
In an enchanting inventory, the top button's level value.

### ENCHANT_LEVEL2

public static final InventoryView.Property ENCHANT_LEVEL2
In an enchanting inventory, the middle button's level value.

### ENCHANT_LEVEL3

public static final InventoryView.Property ENCHANT_LEVEL3
In an enchanting inventory, the bottom button's level value.

### LEVELS

public static final InventoryView.Property LEVELS
In an beacon inventory, the levels of the beacon

### PRIMARY_EFFECT

public static final InventoryView.Property PRIMARY_EFFECT
In an beacon inventory, the primary potion effect

### SECONDARY_EFFECT

public static final InventoryView.Property SECONDARY_EFFECT
In an beacon inventory, the secondary potion effect

### REPAIR_COST

public static final InventoryView.Property REPAIR_COST
The repair's cost in xp levels

### BOOK_PAGE

public static final InventoryView.Property BOOK_PAGE
The lectern's current open book page

## Method Details

### values

public static InventoryView.Property[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InventoryView.Property valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

@NotNull public @NotNull InventoryType getType()

### getId

@Deprecated public int getId()
Deprecated.
Magic value
Gets the id of this view.

Returns:
  the id of this view